Skip to main content
PATCH
/
knowledge-hub
/
pages
/
{page_id}
Update page
curl --request PATCH \
  --url https://api.exec.com/rest/v1/knowledge-hub/pages/{page_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Pricing objection guide (updated)",
  "content": "## Handling pricing objections\n\nUpdated guidance…",
  "status": "published"
}
'
import requests

url = "https://api.exec.com/rest/v1/knowledge-hub/pages/{page_id}"

payload = {
"title": "Pricing objection guide (updated)",
"content": "## Handling pricing objections

Updated guidance…",
"status": "published"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Pricing objection guide (updated)',
content: '## Handling pricing objections\n\nUpdated guidance…',
status: 'published'
})
};

fetch('https://api.exec.com/rest/v1/knowledge-hub/pages/{page_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "title": "<string>",
  "owner": {
    "id": "<string>",
    "email": "[email protected]",
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "folders": [
    {
      "id": "<string>",
      "name": "<string>",
      "emoji": "<string>"
    }
  ],
  "skills": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "source_count": 123,
  "version": 123,
  "cover": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "content": "<string>",
  "sources": [
    {
      "id": "<string>",
      "title": "<string>",
      "token_count": 123,
      "has_images": true,
      "external_url": "<string>",
      "summary": "<string>",
      "cover": "<string>",
      "folders": [
        {
          "id": "<string>",
          "name": "<string>",
          "emoji": "<string>"
        }
      ],
      "created_by": {
        "id": "<string>",
        "email": "[email protected]",
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "processed_at": "2023-11-07T05:31:56Z",
      "content": "<string>"
    }
  ],
  "draft": {
    "title": "<string>",
    "content": "<string>"
  }
}
{
"error": {
"type": "invalid_request",
"code": "invalid_pagination",
"message": "Invalid pagination parameters"
}
}
{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or inactive API key"
}
}
{
"error": {
"type": "not_found",
"message": "Scenario not found: abc123"
}
}

Authorizations

Authorization
string
header
required

API key created in Settings > API.

Format: exec_live_ followed by 40 alphanumeric characters.

Path Parameters

page_id
string
required

The page's unique identifier (UUID)

Body

application/json
title
string

New page title

content
string

New markdown body (creates a new draft)

status
enum<string>

Set to published to publish the new version. To archive a page, use DELETE.

Available options:
draft,
published
folder_ids
string[]

Replace the page's folders with these UUIDs

source_ids
string[]

Replace the page's attached sources with these UUIDs

skill_ids
string[]

Replace the page's linked skills with these UUIDs

Response

Updated page

A single page with its published body, attached sources, and (optionally) its draft.

id
string

Unique page identifier (UUID)

title
string

Page title

status
enum<string>

Current page status

Available options:
draft,
published,
archived
visibility
enum<string>

Visibility scope of the page

Available options:
private,
workspace,
global
owner
object | null

User who owns the page

folders
object[]

Folders the page belongs to

skills
object[]

Skills associated with the page

source_count
integer

Number of sources attached to the page

version
integer | null

Version number of the published version, or null if never published

cover
string

Cover image reference (empty string if none)

published_at
string<date-time> | null

When the page was last published

created_at
string<date-time>
updated_at
string<date-time>
content
string | null

Markdown body of the published version (null if unpublished)

sources
object[]

Sources attached to the page

draft
object | null

Current draft (only included when requested via ?include=draft)